package com.easy.clean.utils

import android.widget.ImageView
import com.bumptech.glide.Glide
import com.bumptech.glide.load.resource.bitmap.CenterCrop
import com.bumptech.glide.load.resource.bitmap.RoundedCorners
import com.bumptech.glide.request.RequestOptions
import java.io.File


/**
 * 加载图片文件 ,并添加圆角
 */
fun ImageView.loadImg(file: File, corner: Int) {
    if (corner == 0) {
        Glide.with(this).load(file).into(this)
    } else {
        val density = this.resources.displayMetrics.density
        Glide.with(this).load(file)
            .apply(RequestOptions.bitmapTransform(RoundedCorners((corner * density).toInt())))
            .into(this)
    }
}


/**
 * 加载图片文件  centerCrop 并添加圆角
 */
fun ImageView.loadCenterCropImg(file: File, corner: Int) {
    val density = this.resources.displayMetrics.density
    Glide.with(this).load(file)
        .transform(CenterCrop(), RoundedCorners((corner * density).toInt()))
        .into(this)
}

/**
 * 加载图片文件  centerCrop 并添加圆角
 */
fun ImageView.loadCenterCropImg(uri: String, corner: Int) {
    val density = this.resources.displayMetrics.density
    Glide.with(this).load(uri)
        .transform(CenterCrop(), RoundedCorners((corner * density).toInt()))
        .into(this)
}